<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gattc__read__blob__req__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gattc_read_blob_req_t</compoundname>
    <includes local="no">cy_ble_stack_gatt_client.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gattc__read__blob__req__t_1a089818f5d165c088cb1286428b8ecee5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gattc__handle__offset__pair__t">cy_stc_ble_gattc_handle_offset_pair_t</ref></type>
        <definition>cy_stc_ble_gattc_handle_offset_pair_t cy_stc_ble_gattc_read_blob_req_t::handleOffset</definition>
        <argsstring />
        <name>handleOffset</name>
        <briefdescription>
<para>Handle-offset pair parameter. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" bodystart="127" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" line="127" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gattc__read__blob__req__t_1a8d7dafeb9dcd05e56a143629dec589c7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_gattc_read_blob_req_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Connection handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" bodystart="130" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" line="130" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Read blob request parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="673">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="672">
        <label>cy_stc_ble_gattc_handle_offset_pair_t</label>
        <link refid="structcy__stc__ble__gattc__handle__offset__pair__t" />
      </node>
      <node id="671">
        <label>cy_stc_ble_gattc_read_blob_req_t</label>
        <link refid="structcy__stc__ble__gattc__read__blob__req__t" />
        <childnode refid="672" relation="usage">
          <edgelabel>handleOffset</edgelabel>
        </childnode>
        <childnode refid="673" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="132" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" bodystart="124" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" line="125" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gattc__read__blob__req__t_1a8d7dafeb9dcd05e56a143629dec589c7" virt="non-virtual"><scope>cy_stc_ble_gattc_read_blob_req_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gattc__read__blob__req__t_1a089818f5d165c088cb1286428b8ecee5" virt="non-virtual"><scope>cy_stc_ble_gattc_read_blob_req_t</scope><name>handleOffset</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>